commit:     8a76ad14cb581a1caaa7feea870992300e5d5a1a
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 12 18:36:40 2021 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Nov 12 18:59:55 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8a76ad14

dev-python/tempest: add 29.2.0

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/tempest/Manifest              |  1 +
 dev-python/tempest/tempest-29.2.0.ebuild | 66 ++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/dev-python/tempest/Manifest b/dev-python/tempest/Manifest
index f0e059b357d..d172113c70f 100644
--- a/dev-python/tempest/Manifest
+++ b/dev-python/tempest/Manifest
@@ -1,2 +1,3 @@
 DIST tempest-29.0.0.tar.gz 1090497 BLAKE2B 
520e9de1fc326d9a64d7ab5e93887f3bd455d9c47d29e0774bfb362b1baff6c1dd13fc6df2c756f0e73dd2b33ecb02ea61abdca9ea1ae68474ba53271c6c9e93
 SHA512 
03049d6cf0e77bac1afafad88b5b0fd22abaa40ed24ffd2c0c989dbadf277c09d703f0d9f7b34f4f68a4b5858b061ea9586ef66e26749b0822af0e426d1b81a7
 DIST tempest-29.1.0.tar.gz 1091318 BLAKE2B 
152900742fe10beebbcec69e20be35d20e3cd652f309de849ee9306e76d0f9dc6508ee2f66a577f6b85578aafc47ccb42b554b796813d845788b57ea49cf7cf1
 SHA512 
591018fcd6f0fa6ff9343a2f6c855bcd858ab805d9b28585bbdd05e319af74b833d316b64e88e5a53dfc53d58a247beb625c475ee884cfb60205d0f64bf0ba86
+DIST tempest-29.2.0.tar.gz 1092824 BLAKE2B 
cad7284ab5a5a39a1a5bdf9f2365a85d337e4ebe17243bc3692a98402ef7f11b27b94e0252d9d427f358c343b736b500db5386098950c88b09f23d87de9ad856
 SHA512 
4042bce9c5d7cd26d652189d82ee91ac43d73a515b690820dfe05b70c2e792ec6f3bb0be5566bb37e81965015f62773414c8a16cc77512b1e52f141eafbd542d

diff --git a/dev-python/tempest/tempest-29.2.0.ebuild 
b/dev-python/tempest/tempest-29.2.0.ebuild
new file mode 100644
index 00000000000..e042bc64305
--- /dev/null
+++ b/dev-python/tempest/tempest-29.2.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..9} )
+inherit distutils-r1
+
+DESCRIPTION="OpenStack Integration Testing"
+HOMEPAGE="https://pypi.org/project/tempest/ 
https://docs.openstack.org/tempest/latest/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+
+RDEPEND="
+       >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+       >dev-python/cliff-2.9.0[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
+       >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+       >=dev-python/paramiko-2.7.0[${PYTHON_USEDEP}]
+       >=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
+       >=dev-python/oslo-concurrency-3.26.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-log-3.36.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-utils-4.7.0[${PYTHON_USEDEP}]
+       >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+       >=dev-python/pyyaml-3.12[${PYTHON_USEDEP}]
+       >=dev-python/subunit-1.0.0[${PYTHON_USEDEP}]
+       >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+       >=dev-python/prettytable-0.7.1[${PYTHON_USEDEP}]
+       >=dev-python/urllib3-1.21.1[${PYTHON_USEDEP}]
+       >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+       test? (
+               dev-python/hacking[${PYTHON_USEDEP}]
+               >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+               dev-python/stestr[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+       # Small subset of tests, which fail as result of not using specific
+       # testing environment. Others expect to run suite using stestr.
+       rm -r tempest/tests/lib/services/volume/v3/ || die
+       rm tempest/tests/test_list_tests.py || die
+       rm tempest/tests/lib/cmd/test_check_uuid.py || die
+
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       distutils_install_for_testing
+       local -x OS_LOG_CAPTURE=1 OS_STDOUT_CAPTURE=1 OS_STDERR_CAPTURE=1 
OS_TEST_TIMEOUT=320
+       eunittest -b -s tempest/tests -t .
+}
+
+src_install() {
+       distutils-r1_src_install
+       mv "${ED}/usr/etc" "${ED}/etc" || die
+}

Reply via email to